## ark 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(ark VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION 5.15.0)
set(KF5_MIN_VERSION 5.82.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
                  VARIABLE_PREFIX ARK
                  VERSION_HEADER "ark_version.h")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KERFUFFLE)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    Concurrent
    Core
    Gui
    Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive
                                                        Config
                                                        Crash
                                                        DBusAddons
                                                        DocTools
                                                        I18n
                                                        ItemModels
                                                        KIO
                                                        Service
                                                        Parts
                                                        Pty
                                                        WidgetsAddons)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL)

if(NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(LibArchive 3.3.3 REQUIRED)
set_package_properties(LibArchive PROPERTIES
                       URL "https://www.libarchive.org/"
                       DESCRIPTION "A library for dealing with a wide variety of archive file formats"
                       PURPOSE "Required for among others tar, tar.gz, tar.bz2 formats in Ark.")

find_package(LibZip 1.3.0)
set_package_properties(LibZip PROPERTIES
                       URL "https://nih.at/libzip/"
                       DESCRIPTION "A library for handling zip archives"
                       PURPOSE "Optional for zip archives.")
# To remove once we can depend on LibZip 1.6+
if ("${LibZip_VERSION}" VERSION_GREATER_EQUAL 1.6)
    set(LIBZIP_CANCELATION 1)
endif()
configure_file(config.h.in config.h)

option(WITH_TEST_COVERAGE "Build with test coverage support" OFF)
if (WITH_TEST_COVERAGE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif (WITH_TEST_COVERAGE)

set(SUPPORTED_ARK_MIMETYPES "")

add_definitions(-DTRANSLATION_DOMAIN="ark")
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_NO_KEYWORDS)

add_subdirectory(plugins)
add_subdirectory(kerfuffle)
add_subdirectory(part)
add_subdirectory(app)
add_subdirectory(doc)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)
kdoctools_install(po)

ecm_qt_install_logging_categories(EXPORT ARK FILE ark.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/CMakeLists.txt ===
add_subdirectory(icons)

include_directories(${CMAKE_BINARY_DIR}) # for version.h generated by cmake
include_directories(${CMAKE_SOURCE_DIR}/part) # for part's interface.h
add_executable(ark)

target_sources(ark PRIVATE
    batchextract.cpp
    main.cpp
    mainwindow.cpp
    welcomescreen.cpp
    ark.qrc
   )

ecm_qt_declare_logging_category(ark
                                HEADER ark_debug.h
                                IDENTIFIER ARK
				CATEGORY_NAME ark.main DESCRIPTION "Ark Main" EXPORT ARK)


ki18n_wrap_ui(ark
    welcomescreen.ui)

# For Mac and Windows.
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-ark.png")

include(ECMAddAppIcon)
ecm_add_app_icon(ark_SRCS ICONS ${ICONS_SRCS})


target_link_libraries(ark
    kerfuffle
    KF5::Crash
    KF5::DBusAddons
    KF5::KIOFileWidgets
    KF5::Parts)

# we provide our own Info.plist containing a simple "we open anything" instruction.
if(APPLE)
    # own plist template
    set_target_properties (ark PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)

    # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
    # so has to be set for all targets in this cmake file
    set(MACOSX_BUNDLE_DISPLAY_NAME Ark)
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Ark")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Ark")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_DISPLAY_NAME "Ark")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_INFO_STRING "Ark - KDE Archiving Tool")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "Ark ${RELEASE_SERVICE_VERSION}")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION}")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
    set_target_properties(ark PROPERTIES MACOSX_BUNDLE_COPYRIGHT "1997-2017, The Ark Developers")
endif()

# Remove duplicate mimetypes from list of supported formats.
list(REMOVE_DUPLICATES SUPPORTED_ARK_MIMETYPES)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ark.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ark.desktop
)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark_dndextract.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.desktop
)

install(TARGETS ark  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ark.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ark.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

############ ark_extract_here plugin ###############

set(extracthere_SRCS batchextract.cpp extractHereDndPlugin.cpp ark_debug.cpp)

kcoreaddons_add_plugin(extracthere
    SOURCES ${extracthere_SRCS}
    INSTALL_NAMESPACE kf5/kio_dnd)

kcoreaddons_desktop_to_json(extracthere ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.desktop DEFAULT_SERVICE_TYPE)

target_link_libraries(extracthere kerfuffle KF5::KIOWidgets KF5::KIOFileWidgets)

# compressfileitemaction plugin

kcoreaddons_add_plugin(compressfileitemaction
    SOURCES compressfileitemaction.cpp
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(compressfileitemaction
    kerfuffle
    KF5::I18n
    KF5::KIOWidgets)

# extractfileitemaction plugin

kcoreaddons_add_plugin(extractfileitemaction
    SOURCES extractfileitemaction.cpp batchextract.cpp ${CMAKE_CURRENT_BINARY_DIR}/ark_debug.cpp
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(extractfileitemaction
    kerfuffle
    KF5::I18n
    KF5::KIOWidgets
    KF5::KIOFileWidgets)

=== part/CMakeLists.txt ===
add_library(arkpart MODULE)

target_sources(arkpart PRIVATE
    factory.cpp
    part.cpp
    infopanel.cpp
    arkviewer.cpp
    archivemodel.cpp
    archivesortfiltermodel.cpp
    archiveview.cpp
    jobtracker.cpp
    overwritedialog.cpp
    arkpart.qrc
    )

ecm_qt_declare_logging_category(arkpart
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.part DESCRIPTION "Ark KPart" EXPORT ARK)
set(ark_adaptor_SRCS)
qt_add_dbus_adaptor(ark_adaptor_SRCS dnddbusinterface.xml part.h Ark::Part)
target_sources(arkpart PRIVATE ${ark_adaptor_SRCS})
ki18n_wrap_ui(arkpart
    arkviewer.ui
    infopanel.ui
    jobtracker.ui)


target_link_libraries(arkpart kerfuffle KF5::Parts KF5::KIOFileWidgets KF5::ItemModels)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark_part.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop
)

kcoreaddons_desktop_to_json(arkpart ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop SERVICE_TYPES kpart.desktop browserview.desktop)

install(TARGETS arkpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== plugins/cli7zplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_CLI7Z_MIMETYPES "application/x-7z-compressed;application/zip;")

set(kerfuffle_cli7z_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_cli7z_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.cli7z DESCRIPTION "Ark p7zip" EXPORT ARK)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_MIMETYPES
    "application/x-7z-compressed\",
    \"application/zip")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_cli7z.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_cli7z.json)

kerfuffle_add_plugin(kerfuffle_cli7z ${kerfuffle_cli7z_SRCS})

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLI7Z_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_cli7z;" PARENT_SCOPE)

find_program(P7ZIP 7z)
if(P7ZIP)
    message(STATUS "Found p7zip executable: ${P7ZIP}")
else()
    message(WARNING "Could not find the 7z executable. Ark won't be able to handle the 7z archive format.")
endif()

=== debian/changelog ===
ark (4:21.12.3-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Reamaining changes:
    - Kubuntu Vcs and maintainer.

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Mar 2022 07:00:47 +0000

ark (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Enable build hardening options.
  * Drop l10n migration rules, not required anymore after 2 stable releases.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 21:29:12 +0100

ark (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:05:15 +0000

ark (4:21.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (21.12.2).

 -- Patrick Franz <deltaone@debian.org>  Fri, 18 Feb 2022 01:59:25 +0100

ark (4:21.12.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:11:39 +0000

ark (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:19:39 +0000

ark (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:16:24 +0000

ark (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:00:55 +0000

ark (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:00 +0000

ark (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:21:43 +0000

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf5archive-dev (>= 5.82.0~),
               libkf5config-dev (>= 5.82.0~),
               libkf5crash-dev (>= 5.82.0~),
               libkf5dbusaddons-dev (>= 5.82.0~),
               libkf5doctools-dev (>= 5.82.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5itemmodels-dev (>= 5.82.0~),
               libkf5kio-dev (>= 5.82.0~),
               libkf5parts-dev (>= 5.82.0~),
               libkf5pty-dev (>= 5.82.0~),
               libkf5service-dev (>= 5.82.0~),
               libkf5widgetsaddons-dev (>= 5.82.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.0~),
               zlib1g-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	find debian/ark -name '*.so' -type l -delete

override_dh_auto_test:
	# Disable auto tests at build time
	:

## ark 22.08.1

=== debian/changelog ===
ark (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 20 Sep 2022 12:43:43 +0200

ark (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jul 2022 06:03:20 +0200

ark (4:22.04.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again the blhc job.
  * Update the build dependencies according to the upstream build system:
    - bump the KF5 packages to 5.86.0
  * Drop the removal of .so symlinks, as there are no more now.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Jun 2022 09:16:16 +0200

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf5archive-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5itemmodels-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5parts-dev (>= 5.90.0~),
               libkf5pty-dev (>= 5.90.0~),
               libkf5service-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkg-config,
               qtbase5-dev (>= 5.15.0~),
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

## ark 22.08.2

=== debian/changelog ===
ark (4:22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:13:46 +0100

ark (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:45 +0100

ark (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:12 +0100

ark (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 08:47:27 +0100

ark (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:22 +0100

ark (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:55:52 +0100

ark (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:52:37 +0100

ark (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:42:27 +0100

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.86.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf5archive-dev (>= 5.86.0~),
               libkf5config-dev (>= 5.86.0~),
               libkf5crash-dev (>= 5.86.0~),
               libkf5dbusaddons-dev (>= 5.86.0~),
               libkf5doctools-dev (>= 5.86.0~),
               libkf5i18n-dev (>= 5.86.0~),
               libkf5itemmodels-dev (>= 5.86.0~),
               libkf5kio-dev (>= 5.86.0~),
               libkf5parts-dev (>= 5.86.0~),
               libkf5pty-dev (>= 5.86.0~),
               libkf5service-dev (>= 5.86.0~),
               libkf5widgetsaddons-dev (>= 5.86.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkg-config,
               qtbase5-dev (>= 5.15.0~),
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

## ark 22.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,22 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(ark VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION 5.15.0)
-set(KF5_MIN_VERSION 5.82.0)
-
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(QT_MIN_VERSION 5.15.2)
+set(KF5_MIN_VERSION 5.99.0)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
 include(GenerateExportHeader)
 include(FeatureSummary)
 include(ECMQtDeclareLoggingCategory)
@@ -31,13 +29,12 @@
 ecm_setup_version(PROJECT
                   VARIABLE_PREFIX KERFUFFLE)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
     Concurrent
     Core
     Gui
     Widgets)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive
-                                                        Config
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config
                                                         Crash
                                                         DBusAddons
                                                         DocTools
@@ -49,12 +46,12 @@
                                                         Pty
                                                         WidgetsAddons)
 
-find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
-set_package_properties(Qt5Test PROPERTIES
+find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG QUIET)
+set_package_properties(Qt${QT_MAJOR_VERSION}Test PROPERTIES
     PURPOSE "Required for tests"
     TYPE OPTIONAL)
 
-if(NOT Qt5Test_FOUND)
+if(NOT Qt${QT_MAJOR_VERSION}Test_FOUND)
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
@@ -85,8 +82,14 @@
 set(SUPPORTED_ARK_MIMETYPES "")
 
 add_definitions(-DTRANSLATION_DOMAIN="ark")
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
+
+add_definitions(
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050f00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    #-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+)
+
 
 add_subdirectory(plugins)
 add_subdirectory(kerfuffle)

=== debian/changelog ===
ark (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:22 +0100

ark (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:46 +0100

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf5archive-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5crash-dev (>= 5.99.0~),
               libkf5dbusaddons-dev (>= 5.99.0~),
               libkf5doctools-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5itemmodels-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5parts-dev (>= 5.99.0~),
               libkf5pty-dev (>= 5.99.0~),
               libkf5service-dev (>= 5.99.0~),
               libkf5widgetsaddons-dev (>= 5.99.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

## ark 22.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(ark VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ark (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:33:03 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark

## ark 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(ark VERSION ${RELEASE_SERVICE_VERSION})

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 add_subdirectory(icons)
+add_subdirectory(kconf_update)
 
 include_directories(${CMAKE_BINARY_DIR}) # for version.h generated by cmake
 include_directories(${CMAKE_SOURCE_DIR}/part) # for part's interface.h
@@ -69,6 +70,7 @@
 install(TARGETS ark  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ark.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ark.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+install(FILES arkrc DESTINATION ${KDE_INSTALL_CONFDIR})
 
 ############ ark_extract_here plugin ###############
 
@@ -76,9 +78,9 @@
 
 kcoreaddons_add_plugin(extracthere
     SOURCES ${extracthere_SRCS}
-    INSTALL_NAMESPACE kf5/kio_dnd)
+    INSTALL_NAMESPACE kf${QT_MAJOR_VERSION}/kio_dnd)
 
-kcoreaddons_desktop_to_json(extracthere ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.desktop DEFAULT_SERVICE_TYPE)
+kcoreaddons_desktop_to_json(extracthere ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.desktop)
 
 target_link_libraries(extracthere kerfuffle KF5::KIOWidgets KF5::KIOFileWidgets)
 
@@ -86,7 +88,7 @@
 
 kcoreaddons_add_plugin(compressfileitemaction
     SOURCES compressfileitemaction.cpp
-    INSTALL_NAMESPACE "kf5/kfileitemaction")
+    INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kfileitemaction")
 
 target_link_libraries(compressfileitemaction
     kerfuffle
@@ -97,7 +99,7 @@
 
 kcoreaddons_add_plugin(extractfileitemaction
     SOURCES extractfileitemaction.cpp batchextract.cpp ${CMAKE_CURRENT_BINARY_DIR}/ark_debug.cpp
-    INSTALL_NAMESPACE "kf5/kfileitemaction")
+    INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kfileitemaction")
 
 target_link_libraries(extractfileitemaction
     kerfuffle

=== kerfuffle/CMakeLists.txt ===
########### next target ###############

add_library(kerfuffle SHARED)
target_sources(kerfuffle PRIVATE
    archiveformat.cpp
    archive_kerfuffle.cpp
    archiveinterface.cpp
    extractionsettingspage.cpp
    generalsettingspage.cpp
    previewsettingspage.cpp
    settingsdialog.cpp
    settingspage.cpp
    jobs.cpp
    adddialog.cpp
    compressionoptionswidget.cpp
    createdialog.cpp
    extractiondialog.cpp
    propertiesdialog.cpp
    queries.cpp
    addtoarchive.cpp
    cliinterface.cpp
    cliproperties.cpp
    mimetypes.cpp
    plugin.cpp
    pluginmanager.cpp
    pluginsettingspage.cpp
    archiveentry.cpp
    options.cpp
    qstringtokenizer.cpp
)

kconfig_add_kcfg_files(kerfuffle settings.kcfgc GENERATE_MOC)

ki18n_wrap_ui(kerfuffle
    createdialog.ui
    extractiondialog.ui
    extractionsettingspage.ui
    generalsettingspage.ui
    pluginsettingspage.ui
    previewsettingspage.ui
    propertiesdialog.ui
    compressionoptionswidget.ui
)

ecm_qt_declare_logging_category(kerfuffle
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.kerfuffle DESCRIPTION "Ark Kerfuffle" EXPORT ARK)

generate_export_header(kerfuffle BASE_NAME kerfuffle)

if (APPLE)
   target_compile_definitions(kerfuffle PRIVATE -DDEPENDENCY_TOOL="otool")
   target_compile_definitions(kerfuffle PRIVATE -DDEPENDENCY_TOOL_ARGS="-L")
else()
   target_compile_definitions(kerfuffle PRIVATE -DDEPENDENCY_TOOL="ldd")
endif()

target_link_libraries(kerfuffle
PUBLIC
    KF5::Pty
    KF5::I18n
    KF5::WidgetsAddons
PRIVATE
    Qt::Concurrent
    KF5::ConfigCore
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KIOFileWidgets
)

set_target_properties(kerfuffle PROPERTIES VERSION ${KERFUFFLE_VERSION} SOVERSION ${KERFUFFLE_SOVERSION})

install(TARGETS kerfuffle ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

install(FILES ark.kcfg                DESTINATION ${KDE_INSTALL_KCFGDIR})

=== part/CMakeLists.txt ===
--- 
+++ 
@@ -35,8 +35,4 @@
 
 kcoreaddons_desktop_to_json(arkpart ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop SERVICE_TYPES kpart.desktop browserview.desktop)
 
-install(TARGETS arkpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)
-
-########### install files ###############
-
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
+install(TARGETS arkpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/parts)

=== plugins/CMakeLists.txt ===
function(kerfuffle_add_plugin plugin)
    kcoreaddons_add_plugin(${plugin}
        SOURCES ${ARGN}
        INSTALL_NAMESPACE kerfuffle)
    target_link_libraries(${plugin} kerfuffle)
endfunction()

add_subdirectory( libarchive )
add_subdirectory( clirarplugin )
add_subdirectory( cli7zplugin )
add_subdirectory( clizipplugin )
add_subdirectory(cliunarchiverplugin)
if(LibZip_FOUND)
  add_subdirectory(libzipplugin)
endif(LibZip_FOUND)
add_subdirectory( cliarjplugin )

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}" PARENT_SCOPE)

=== autotests/kerfuffle/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

set(JSONINTERFACE_SOURCES
    jsonarchiveinterface.cpp
    jsonparser.cpp
)
add_library(jsoninterface STATIC ${JSONINTERFACE_SOURCES})
target_link_libraries(jsoninterface kerfuffle)

ecm_add_tests(
    addtoarchivetest.cpp
    deletetest.cpp
    loadtest.cpp
    extracttest.cpp
    addtest.cpp
    movetest.cpp
    copytest.cpp
    createdialogtest.cpp
    metadatatest.cpp
    mimetypetest.cpp
    LINK_LIBRARIES testhelper kerfuffle Qt::Test KF5::ConfigCore KF5::KIOCore
    NAME_PREFIX kerfuffle-)

ecm_add_test(
    adddialogtest.cpp
    LINK_LIBRARIES kerfuffle Qt::Test KF5::KIOFileWidgets
    NAME_PREFIX kerfuffle-)

ecm_add_tests(
    jobstest.cpp
    LINK_LIBRARIES jsoninterface Qt::Test
    NAME_PREFIX kerfuffle-)

# metadatatest needs the number of plugins actually installed by an install() command.
list(REMOVE_ITEM INSTALLED_KERFUFFLE_PLUGINS "")
list(LENGTH INSTALLED_KERFUFFLE_PLUGINS INSTALLED_COUNT)
target_compile_definitions(metadatatest PRIVATE -DPLUGINS_COUNT=${INSTALLED_COUNT})

=== autotests/plugins/CMakeLists.txt ===
add_subdirectory(clizipplugin)
add_subdirectory(cli7zplugin)
add_subdirectory(clirarplugin)
add_subdirectory(cliunarchiverplugin)
add_subdirectory(cliarjplugin)

=== autotests/testhelper/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

set(TESTHELPER_SOURCES
    abstractaddtest.cpp
    testhelper.cpp)

add_library(testhelper STATIC ${TESTHELPER_SOURCES})
target_link_libraries(testhelper Qt::Test kerfuffle)

=== plugins/cli7zplugin/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ecm_qt_declare_logging_category(kerfuffle_cli7z_SRCS
                                 HEADER ark_debug.h
                                 IDENTIFIER ARK
-                                CATEGORY_NAME ark.cli7z DESCRIPTION "Ark p7zip" EXPORT ARK)
+                                CATEGORY_NAME ark.cli7z DESCRIPTION "Ark 7z" EXPORT ARK)
 
 # NOTE: the first double-quotes of the first mime and the last
 # double-quotes of the last mime must NOT be escaped.
@@ -24,9 +24,9 @@
 set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLI7Z_MIMETYPES}" PARENT_SCOPE)
 set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_cli7z;" PARENT_SCOPE)
 
-find_program(P7ZIP 7z)
-if(P7ZIP)
-    message(STATUS "Found p7zip executable: ${P7ZIP}")
+find_program(7ZIP 7z)
+if(7ZIP)
+    message(STATUS "Found 7-Zip executable: ${7ZIP}")
 else()
     message(WARNING "Could not find the 7z executable. Ark won't be able to handle the 7z archive format.")
 endif()

=== plugins/cliarjplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_CLIARJ_MIMETYPES "application/x-arj;application/arj;")

set(kerfuffle_cliarj_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_cliarj_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.cliarj DESCRIPTION "Ark Arj" EXPORT ARK)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_MIMETYPES
    "application/x-arj\",
    \"application/arj")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_cliarj.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_cliarj.json)

kerfuffle_add_plugin(kerfuffle_cliarj ${kerfuffle_cliarj_SRCS})

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLIARJ_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_cliarj;" PARENT_SCOPE)

find_program(ARJ arj)
if(ARJ)
    message(STATUS "Found arj executable: ${ARJ}")
else()
    message(WARNING "Could not find the arj executable. Ark won't be able to handle the arj archive format.")
endif()

=== plugins/clirarplugin/CMakeLists.txt ===
########### next target ###############

# TODO: drop application/x-rar alias once distributions ship shared-mime-info 1.7
set(SUPPORTED_CLIRAR_MIMETYPES "application/vnd.rar;application/x-rar;")

set(kerfuffle_clirar_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_clirar_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.clirar DESCRIPTION "Ark Rar plugin" EXPORT ARK)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_MIMETYPES
    "application/vnd.rar\",
    \"application/x-rar")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_clirar.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clirar.json)

kerfuffle_add_plugin(kerfuffle_clirar ${kerfuffle_clirar_SRCS})

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLIRAR_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_clirar;" PARENT_SCOPE)

find_program(UNRAR unrar)
if(UNRAR)
    message(STATUS "Found unrar executable: ${UNRAR}")
else()
    message(WARNING "Could not find the unrar executable. Ark requires unrar or unar to extract RAR archives.")
endif()

find_program(RAR rar)
if(RAR)
    message(STATUS "Found rar executable: ${RAR}")
else()
    message(WARNING "Could not find the rar executable. Ark won't be able to create or edit RAR archives.")
endif()

=== plugins/clizipplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_CLIZIP_MIMETYPES "application/x-java-archive;application/zip;")

set(kerfuffle_clizip_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_clizip_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.clizip DESCRIPTION "Ark Infozip plugin" EXPORT ARK)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_MIMETYPES
    "application/x-java-archive\",
    \"application/zip")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_clizip.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clizip.json)

kerfuffle_add_plugin(kerfuffle_clizip ${kerfuffle_clizip_SRCS})

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLIZIP_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_clizip;" PARENT_SCOPE)

find_program(UNZIP unzip)
if(UNZIP)
    message(STATUS "Found unzip executable: ${UNZIP}")
else()
    message(WARNING "Could not find the unzip executable. Ark requires unzip or 7z to extract zip archives.")
endif()

find_program(ZIP zip)
if(ZIP)
    message(STATUS "Found zip executable: ${ZIP}")
else()
    message(WARNING "Could not find the zip executable. Ark requires zip or 7z to create or edit zip archives.")
endif()

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -36,9 +36,9 @@
 Package: ark
 Section: utils
 Architecture: any
-Recommends: bzip2, p7zip-full, unar, unzip, zip
-Suggests: rar, unrar | unrar-free
-Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
+Recommends: bzip2, p7zip-full, unar, unzip, zip,
+Suggests: rar, unrar | unrar-free,
+Depends: kinit, ${misc:Depends}, ${shlibs:Depends},
 Description: archive utility
  Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
  as well as CD-ROM images.  Ark can be used to browse, extract, create, and

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:

## ark 23.08.1

=== debian/changelog ===
ark (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:05 +0100

ark (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:50 +0100

ark (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:01 +0100

ark (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:00 +0100

ark (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:52:50 +0100

ark (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:07 +0000

ark (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:08:52 -0600

ark (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:10:22 +0000

ark (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Dec 2022 15:05:13 +0000

ark (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:03:57 +0000

ark (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:22 +0000

ark (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:46:43 +0000

ark (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:08 +0000
